Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class TransitionModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.TransitionModel

All Implemented Interfaces:
  Model

    public class TransitionModel

extends AbstractModel

Model support for transitions.

A path from this state to another state triggered by an event. Transitions may execute one or more actions. All transition actions must execute successfully for the transition itself to complete. If no transition target is specified, the transition acts as a simple event handler and does not change the state of the flow.

Author:
  Scott Andrews

Constructor Summary
`TransitionModel()` Create a transition model

Method Summary
`Model` | `createCopy()` Create a deep copy of this model.
`java.util.LinkedList` | `getActions()`
`java.util.LinkedList` | `getAttributes()`
`java.lang.String` | `getBind()`
`java.lang.String` | `getHistory()`
`java.lang.String` | `getOn()`
`java.lang.String` | `getOnException()`
`SecuredModel` | `getSecured()`
`java.lang.String` | `getTo()`
`java.lang.String` | `getValidate()`
`boolean` | `isMergeableWith(Model model)` Determine if the model is able to be merged into the current model
`void` | `merge(Model model)` Merge the model into the current model
`void` | `setActions(java.util.LinkedList actions)`
`void` | `setAttributes(java.util.LinkedList attributes)`
`void` | `setBind(java.lang.String bind)`
`void` | `setHistory(java.lang.String history)`
`void` | `setOn(java.lang.String on)`
`void` | `setOnException(java.lang.String onException)`
`void` | `setSecured(SecuredModel secured)`
`void` | `setTo(java.lang.String to)`
`void` | `setValidate(java.lang.String validate)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransitionModel

    public TransitionModel()

  Create a transition model

Method Detail

### isMergeableWith

    public boolean isMergeableWith(Model model)

  Description copied from interface: `Model`
  Determine if the model is able to be merged into the current model

  Parameters:
    `model` - the model to compare
  Returns:
    true if able to merge

### merge

    public void merge(Model model)

  Description copied from interface: `Model`
  Merge the model into the current model

  Parameters:
    `model` - the model to merge with

### createCopy

    public Model createCopy()

  Description copied from interface: `Model`
  Create a deep copy of this model. Needed when merging models and collections.

  Returns:
    a deep copy of this model

### getOn

    public java.lang.String getOn()

  Returns:
    the on

### setOn

    public void setOn(java.lang.String on)

  Parameters:
    `on` - the on to set

### getOnException

    public java.lang.String getOnException()

  Returns:
    the on exception

### setOnException

    public void setOnException(java.lang.String onException)

  Parameters:
    `onException` - the on exception to set

### getTo

    public java.lang.String getTo()

  Returns:
    the to

### setTo

    public void setTo(java.lang.String to)

  Parameters:
    `to` - the to to set

### getBind

    public java.lang.String getBind()

  Returns:
    the bind

### setBind

    public void setBind(java.lang.String bind)

  Parameters:
    `bind` - the bind to set

### getValidate

    public java.lang.String getValidate()

  Returns:
    the validate

### setValidate

    public void setValidate(java.lang.String validate)

  Parameters:
    `validate` - the validate to set

### getHistory

    public java.lang.String getHistory()

  Returns:
    the history

### setHistory

    public void setHistory(java.lang.String history)

  Parameters:
    `history` - the history to set

### getAttributes

    public java.util.LinkedList getAttributes()

  Returns:
    the attributes

### setAttributes

    public void setAttributes(java.util.LinkedList attributes)

  Parameters:
    `attributes` - the attributes to set

### getSecured

    public SecuredModel getSecured()

  Returns:
    the secured

### setSecured

    public void setSecured(SecuredModel secured)

  Parameters:
    `secured` - the secured to set

### getActions

    public java.util.LinkedList getActions()

  Returns:
    the actions

### setActions

    public void setActions(java.util.LinkedList actions)

  Parameters:
    `actions` - the actions to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD